// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.adjustFilePath = adjustFilePath;
exports.hasExistDirectory = hasExistDirectory;
var _fs = _interopRequireDefault(require("fs"));
var _pathIsAbsolute = _interopRequireDefault(require("path-is-absolute"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// code from https://github.com/power-assert-js/espower-source
function adjustFilePath(filepath, sourceRoot) {
  if (!sourceRoot || !(0, _pathIsAbsolute["default"])(filepath)) {
    return filepath;
  }
  var relativePath = _path.relative(sourceRoot, filepath);
  if (relativePath.split(_path.sep).indexOf("..") !== -1) {
    // if absolute filePath conflicts with sourceRoot, use filepath only.
    return filepath;
  }
  return relativePath;
}
function hasExistDirectory(dirPath) {
  try {
    // Query the entry
    var stats = _fs["default"].lstatSync(dirPath);

    // Is it a directory?
    if (stats.isDirectory()) {
      return true;
    }
  } catch (e) {
    return false;
  }
  return false;
}
//# sourceMappingURL=filepath-util.js.map